Loading...
Searching...
No Matches
thread.h File Reference
`#include <gnuradio/api.h>`
`#include <boost/thread/barrier.hpp>`
`#include <boost/thread/condition_variable.hpp>`
`#include <boost/thread/locks.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/thread/thread.hpp>`
`#include <memory>`
`#include <vector>`
Include dependency graph for thread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::thread

## Typedefs

typedef boost::thread | gr::thread::thread
typedef boost::mutex | gr::thread::mutex
typedef boost::unique_lock< boost::mutex > | gr::thread::scoped_lock
typedef boost::condition_variable | gr::thread::condition_variable
typedef boost::barrier | gr::thread::barrier
typedef pthread_t | gr::thread::gr_thread_t
| a system-dependent typedef for the underlying thread type.

## Functions

GR_RUNTIME_API gr_thread_t | gr::thread::get_current_thread_id ()
| Get the current thread's ID as a gr_thread_t.
GR_RUNTIME_API void | gr::thread::thread_bind_to_processor (const std::vector< int > &mask)
| Bind the current thread to a set of cores.
GR_RUNTIME_API void | gr::thread::thread_bind_to_processor (int n)
| Convineince function to bind the current thread to a single core.
GR_RUNTIME_API void | gr::thread::thread_bind_to_processor (gr_thread_t thread, const std::vector< int > &mask)
| Bind a thread to a set of cores.
GR_RUNTIME_API void | gr::thread::thread_bind_to_processor (gr_thread_t thread, unsigned int n)
| Convineince function to bind the a thread to a single core.
GR_RUNTIME_API void | gr::thread::thread_unbind ()
| Remove any thread-processor affinity for the current thread.
GR_RUNTIME_API void | gr::thread::thread_unbind (gr_thread_t thread)
| Remove any thread-processor affinity for a given thread ID.
GR_RUNTIME_API int | gr::thread::thread_priority (gr_thread_t thread)
| get current thread priority for a given thread ID
GR_RUNTIME_API int | gr::thread::set_thread_priority (gr_thread_t thread, int priority)
| set current thread priority for a given thread ID
GR_RUNTIME_API void | gr::thread::set_thread_name (gr_thread_t thread, std::string name)